clc

delete *.out

homeDir = pwd;
ExeDir   = 'C:\Users\Joel\LY_Laptop\Learning_Opensees\SensitivityManual\2013-06-28_SensitivityCheck';
ExcutableTool = 'openSees_Yong.exe';
sourceFileDir = pwd;

exampleNameList = {
    'Example2_Soil3D.tcl'              
    'Example2_Soil3D_FFD.tcl'
};

for i = 1:length(exampleNameList)
    disp(['Yong: Now it is running example: ' exampleNameList{i}])
    sourceFileName = exampleNameList{i};
    % Call OpenSees to Run the job. 
    system([ExeDir filesep ExcutableTool ' ' sourceFileDir filesep sourceFileName]);
    disp(['Yong: Now it is finishing example: ' exampleNameList{i}])
end;


load ddm3G.out
load disp3.out
load disp3a1.out
load disp3a2.out
load disp3a3.out
load disp3a4.out

hold on
plot(ddm3G(:,1),ddm3G(:,2),'b')
plot(disp3(:,1),(disp3a1(:,2)-disp3(:,2))/(0.01*60000),'k')
plot(disp3(:,1),(disp3a2(:,2)-disp3(:,2))/(0.001*60000),'m')
plot(disp3(:,1),(disp3a3(:,2)-disp3(:,2))/(0.0001*60000),'g')
plot(disp3(:,1),(disp3a4(:,2)-disp3(:,2))/(0.00001*60000),'r:')

legend('DDM', '0.01','0.001','0.0001','0.00001')
saveas(gcf,'Example2_CheckedByYong','fig')